Bug 304452 - kmail hangs KDE
Summary: kmail hangs KDE
Status: RESOLVED FIXED
Alias: None
Product: nepomuk
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Nepomuk Bugs Coordination
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-02 17:35 UTC by Rafis Kamaliev
Modified: 2012-08-03 07:39 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.9.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rafis Kamaliev 2012-08-02 17:35:50 UTC
Application: nepomukservicestub (0.2)
KDE Platform Version: 4.7.2 (4.7.2) "release 5" (Compiled from sources)
Qt Version: 4.8.2
Operating System: Linux 3.1.10-1.16-desktop i686
Distribution: "openSUSE 12.1 (i586)"

-- Information about the crash:
- What I was doing when the application crashed:
run kmail
- Unusual behavior I noticed:
nepomuk index disabled
- Custom settings of the application:
akonadi is google enabled (i.e. imap, contacts), just downgraded from kde 4.8.4 because akonadi and kmail do not start with 4.8.4

-- Backtrace:
Application: Nepomuk Service Stub (nepomukservicestub), signal: Aborted
[Current thread is 1 (Thread 0xb549b980 (LWP 2139))]

Thread 11 (Thread 0xb30d2b40 (LWP 2196)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5f565a1 in select () from /lib/libc.so.6
#2  0xb75dfd83 in ?? () from /usr/lib/libQtCore.so.4
#3  0xb74f3da0 in ?? () from /usr/lib/libQtCore.so.4
#4  0xb7471e32 in start_thread () from /lib/libpthread.so.0
#5  0xb5f5d7ee in clone () from /lib/libc.so.6

Thread 10 (Thread 0xb1cffb40 (LWP 2318)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5f5280b in poll () from /lib/libc.so.6
#2  0xb5da5f7b in g_poll () from /usr/lib/libglib-2.0.so.0
#3  0xb5d97466 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0xb5d977fa in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0xb76366af in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb76032dc in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb76035d1 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0xb74f09dc in QThread::exec() () from /usr/lib/libQtCore.so.4
#9  0xb75e1abd in ?? () from /usr/lib/libQtCore.so.4
#10 0xb74f3da0 in ?? () from /usr/lib/libQtCore.so.4
#11 0xb7471e32 in start_thread () from /lib/libpthread.so.0
#12 0xb5f5d7ee in clone () from /lib/libc.so.6

Thread 9 (Thread 0xb08ffb40 (LWP 2320)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5f5280b in poll () from /lib/libc.so.6
#2  0xb5da5f7b in g_poll () from /usr/lib/libglib-2.0.so.0
#3  0xb5d97466 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0xb5d977fa in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0xb7636691 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb76032dc in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb76035d1 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0xb74f09dc in QThread::exec() () from /usr/lib/libQtCore.so.4
#9  0xb3a9473f in Soprano::Server::DBusController::run (this=0x853dd90) at /usr/src/debug/soprano-2.8.0/server/dbus/dbuscontroller.cpp:54
#10 0xb74f3da0 in ?? () from /usr/lib/libQtCore.so.4
#11 0xb7471e32 in start_thread () from /lib/libpthread.so.0
#12 0xb5f5d7ee in clone () from /lib/libc.so.6

Thread 8 (Thread 0xb12ffb40 (LWP 2343)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5f5280b in poll () from /lib/libc.so.6
#2  0xb5da5f7b in g_poll () from /usr/lib/libglib-2.0.so.0
#3  0xb5d97466 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0xb5d977fa in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0xb76366af in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb76032dc in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb76035d1 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0xb74f09dc in QThread::exec() () from /usr/lib/libQtCore.so.4
#9  0xb3a7f8d8 in Soprano::Server::ServerConnection::run (this=0x848bc18) at /usr/src/debug/soprano-2.8.0/server/serverconnection.cpp:151
#10 0xb74f3da0 in ?? () from /usr/lib/libQtCore.so.4
#11 0xb7471e32 in start_thread () from /lib/libpthread.so.0
#12 0xb5f5d7ee in clone () from /lib/libc.so.6

Thread 7 (Thread 0xb260eb40 (LWP 2344)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5f5280b in poll () from /lib/libc.so.6
#2  0xb5da5f7b in g_poll () from /usr/lib/libglib-2.0.so.0
#3  0xb5d97466 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0xb5d977fa in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0xb76366af in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb76032dc in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb76035d1 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0xb74f09dc in QThread::exec() () from /usr/lib/libQtCore.so.4
#9  0xb3a7f8d8 in Soprano::Server::ServerConnection::run (this=0x8201390) at /usr/src/debug/soprano-2.8.0/server/serverconnection.cpp:151
#10 0xb74f3da0 in ?? () from /usr/lib/libQtCore.so.4
#11 0xb7471e32 in start_thread () from /lib/libpthread.so.0
#12 0xb5f5d7ee in clone () from /lib/libc.so.6

Thread 6 (Thread 0xafeffb40 (LWP 2345)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5f5280b in poll () from /lib/libc.so.6
#2  0xb5da5f7b in g_poll () from /usr/lib/libglib-2.0.so.0
#3  0xb5d97466 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0xb5d977fa in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0xb76366af in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb76032dc in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb76035d1 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0xb74f09dc in QThread::exec() () from /usr/lib/libQtCore.so.4
#9  0xb3a7f8d8 in Soprano::Server::ServerConnection::run (this=0x8360598) at /usr/src/debug/soprano-2.8.0/server/serverconnection.cpp:151
#10 0xb74f3da0 in ?? () from /usr/lib/libQtCore.so.4
#11 0xb7471e32 in start_thread () from /lib/libpthread.so.0
#12 0xb5f5d7ee in clone () from /lib/libc.so.6

Thread 5 (Thread 0xaf6feb40 (LWP 2346)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5f5280b in poll () from /lib/libc.so.6
#2  0xb5da5f7b in g_poll () from /usr/lib/libglib-2.0.so.0
#3  0xb5d97466 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0xb5d977fa in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0xb76366af in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb76032dc in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb76035d1 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0xb74f09dc in QThread::exec() () from /usr/lib/libQtCore.so.4
#9  0xb3a7f8d8 in Soprano::Server::ServerConnection::run (this=0x8492230) at /usr/src/debug/soprano-2.8.0/server/serverconnection.cpp:151
#10 0xb74f3da0 in ?? () from /usr/lib/libQtCore.so.4
#11 0xb7471e32 in start_thread () from /lib/libpthread.so.0
#12 0xb5f5d7ee in clone () from /lib/libc.so.6

Thread 4 (Thread 0xaecffb40 (LWP 2347)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5f5280b in poll () from /lib/libc.so.6
#2  0xb5da5f7b in g_poll () from /usr/lib/libglib-2.0.so.0
#3  0xb5d97466 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0xb5d977fa in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0xb76366af in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb76032dc in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb76035d1 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0xb74f09dc in QThread::exec() () from /usr/lib/libQtCore.so.4
#9  0xb3a7f8d8 in Soprano::Server::ServerConnection::run (this=0x841ffe0) at /usr/src/debug/soprano-2.8.0/server/serverconnection.cpp:151
#10 0xb74f3da0 in ?? () from /usr/lib/libQtCore.so.4
#11 0xb7471e32 in start_thread () from /lib/libpthread.so.0
#12 0xb5f5d7ee in clone () from /lib/libc.so.6

Thread 3 (Thread 0xae4feb40 (LWP 2348)):
[KCrash Handler]
#7  0xffffe424 in __kernel_vsyscall ()
#8  0xb5ea131f in raise () from /lib/libc.so.6
#9  0xb5ea2c03 in abort () from /lib/libc.so.6
#10 0xb5dbc40e in g_assertion_message () from /usr/lib/libglib-2.0.so.0
#11 0xb5dbc9cf in g_assertion_message_expr () from /usr/lib/libglib-2.0.so.0
#12 0xb5d96e74 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#13 0xb5d97560 in ?? () from /usr/lib/libglib-2.0.so.0
#14 0xb5d977fa in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#15 0xb7636691 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#16 0xb76032dc in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#17 0xb76035d1 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#18 0xb74f09dc in QThread::exec() () from /usr/lib/libQtCore.so.4
#19 0xb3a7f8d8 in Soprano::Server::ServerConnection::run (this=0x854d540) at /usr/src/debug/soprano-2.8.0/server/serverconnection.cpp:151
#20 0xb74f3da0 in ?? () from /usr/lib/libQtCore.so.4
#21 0xb7471e32 in start_thread () from /lib/libpthread.so.0
#22 0xb5f5d7ee in clone () from /lib/libc.so.6

Thread 2 (Thread 0xadcfdb40 (LWP 2351)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5f5280b in poll () from /lib/libc.so.6
#2  0xb5da5f7b in g_poll () from /usr/lib/libglib-2.0.so.0
#3  0xb5d97466 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0xb5d977fa in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0xb76366af in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb76032dc in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb76035d1 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0xb74f09dc in QThread::exec() () from /usr/lib/libQtCore.so.4
#9  0xb3a7f8d8 in Soprano::Server::ServerConnection::run (this=0x85b7a40) at /usr/src/debug/soprano-2.8.0/server/serverconnection.cpp:151
#10 0xb74f3da0 in ?? () from /usr/lib/libQtCore.so.4
#11 0xb7471e32 in start_thread () from /lib/libpthread.so.0
#12 0xb5f5d7ee in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb549b980 (LWP 2139)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb7475a4c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb74f4310 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#3  0xb74f3935 in QThread::wait(unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb3a948ea in ~DBusController (this=0x853dd90, __in_chrg=<optimized out>) at /usr/src/debug/soprano-2.8.0/server/dbus/dbuscontroller.cpp:40
#5  Soprano::Server::DBusController::~DBusController (this=0x853dd90, __in_chrg=<optimized out>) at /usr/src/debug/soprano-2.8.0/server/dbus/dbuscontroller.cpp:41
#6  0xb3a79519 in Soprano::Server::ServerCore::~ServerCore (this=0x818f988, __in_chrg=<optimized out>) at /usr/src/debug/soprano-2.8.0/server/servercore.cpp:74
#7  0xb3ad0c50 in ?? () from /usr/lib/kde4/nepomukstorage.so
#8  0xb3ad0d42 in ?? () from /usr/lib/kde4/nepomukstorage.so
#9  0xb7618649 in QObjectPrivate::deleteChildren() () from /usr/lib/libQtCore.so.4
#10 0xb761dbcc in QObject::~QObject() () from /usr/lib/libQtCore.so.4
#11 0xb6c45658 in Nepomuk::Service::~Service() () from /usr/lib/libnepomuk.so.4
#12 0xb3acfbda in ?? () from /usr/lib/kde4/nepomukstorage.so
#13 0xb7618649 in QObjectPrivate::deleteChildren() () from /usr/lib/libQtCore.so.4
#14 0xb761dbcc in QObject::~QObject() () from /usr/lib/libQtCore.so.4
#15 0x0804bcf0 in _start ()

Possible duplicates by query: bug 304433, bug 304376, bug 304110, bug 303954, bug 303952.

Reported using DrKonqi
Comment 1 Vishesh Handa 2012-08-03 07:39:56 UTC
Git commit c4f3c8cee274c7429dcbcc84d3626ec767d06801 by Vishesh Handa.
Committed on 02/08/2012 at 23:00.
Pushed by vhanda into branch 'KDE/4.9'.

StorageService: Do not register the DBusInterface

We do not need the /org/soprano/Server dbus interface. No one uses it,
and we land up spawning an extra thread for this dbus interface (Soprano
code)

Additionally, they have been crashes when removing the dbus interface thread.
FIXED-IN: 4.9.1
REVIEW: 105833

M  +0    -4    services/storage/storage.cpp

http://commits.kde.org/nepomuk-core/c4f3c8cee274c7429dcbcc84d3626ec767d06801